%define upstream_name	 Pod-Coverage
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Checks if the documentation of a perl module is comprehensive
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Symdump) >= 2.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Find) >= 0.210.0
BuildRequires: perl(Pod::Parser) >= 1.130.0
BuildRequires: perl(Test::More)
BuildRequires: perl-Module-Build
BuildRequires: perl-Devel-Symdump
BuildArch:  noarch

%{?perl_default_filter}

%description
Developers hate writing documentation. They'd hate it even more if their
computer tattled on them, but maybe they'll be even more thankful in the long
run. Even if not, perlmodstyle tells you to, so you must obey. This perl module
provides a mechanism for determining if the pod for a given module is
comprehensive.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=%{buildroot}
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml examples
%{perl_vendorlib}/Pod/*
%{_bindir}/pod_cover
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-7.mga6
+ Revision: 1032258
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.230.0-6.mga6
+ Revision: 932439
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-5.mga5
+ Revision: 747846
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.230.0-4.mga5
+ Revision: 733265
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-3.mga5
+ Revision: 685995
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.230.0-2.mga4
+ Revision: 527243
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.230.0-1.mga4
+ Revision: 439761
- update to 0.23

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 371901
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.220.0-1.mga2
+ Revision: 213160
- update to 0.22

* Fri Jan 21 2011 jquelin <jquelin> 0.210.0-2.mga1
+ Revision: 29683
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.210.0-1.mga1
+ Revision: 14023
- imported package perl-Pod-Coverage


* Thu Jul 29 2010 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-1mdv2011.0
+ Revision: 562999
- update to 0.21

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2011.0
+ Revision: 407962
- rebuild using %%perl_convert_version

* Fri Feb 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2009.1
+ Revision: 343259
- update to new version 0.20

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.19-3mdv2009.0
+ Revision: 223997
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.19-2mdv2008.1
+ Revision: 171029
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.1
+ Revision: 97560
- update to new version 0.19


* Tue Aug 08 2006 rafael
+ 08/08/06 14:35:06 (54555)
Fix file locations and set arch to noarch (since there is no XS part anymore)

* Tue Aug 08 2006 rafael
+ 08/08/06 14:24:40 (54469)
0.18 ; use mkrel

* Tue Aug 08 2006 rafael
+ 08/08/06 14:18:24 (54465)
Import perl-Pod-Coverage

* Mon May 01 2006 Stefan van der Eijk <stefan@eijk.nu> 0.17-3mdk
-_rebuild_for_sparc

* Thu Sep 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.17-2mdk
- add BuildRequires: perl-Module-Build perl-Devel-Symdump

* Thu Dec 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.17-1mdk
- Initial MDK release.

